import QtQuick 1.1

Item {
    width: parent.width
    height: 56
//    fillMode: Image.Stretch
//    smooth: true
//    source: "file://etc/hildon/theme/images/wmTitleBar.png"
    signal pressed

    MouseArea {
        anchors.fill: parent
        drag.target: parent
        drag.axis: Drag.YAxis
        drag.maximumY: 0
        drag.minimumY: -parent.height
        onClicked: {
            topBar.pressed()
        }
    }



    //    Rectangle {
    //        color: "green"
    //        anchors {

    //        }
    //    }

    Rectangle {
        anchors.fill: parent
        opacity: 0.5
        color: "black"
    }

    Item {
        x: 0
        id: task
        height: parent.height
        width: isPortrait  ? 80 : 112

        Image {
            id: taskIcon
            source: "file://etc/hildon/theme/images/wmTaskSwitcherIcon.png"
            anchors.centerIn: parent

            MouseArea {
                id: taskArea
                anchors.fill: parent
                onClicked: mainView.minimize();
            }

            states: State {
                name: "pressed"
                when: taskArea.pressed
                PropertyChanges {
                    target: taskIconPressed
                    visible: true
                }
            }
        }
        Image {
            id: taskIconPressed
            source: "file://etc/hildon/theme/images/wmTaskSwitcherIconPressed.png"
            visible: false
            anchors.centerIn: parent
        }
        Image {
            id: separator
            anchors{
                top: parent.top; bottom: parent.bottom; right: parent.right
            }
            source: "file://etc/hildon/theme/images/wmSeparator.png"
        }
    }

    Image {
        id: statusAreaImage
        anchors.left: task.right
        cache: false
        property int wid:  0

        MouseArea {
            anchors.fill: parent
            onClicked: mainView.showStatusMenu();
        }

        Connections {
            target: mainView
            onUpdateStatusAreaSignal: {
                statusAreaImage.source = ""
                statusAreaImage.source = "image://imageProvider/"+ wId
            }
        }
    }


    Image {
        id: separator1
        anchors{
            top: parent.top; bottom: parent.bottom; left: statusAreaImage.right
        }
        source: "file://etc/hildon/theme/images/wmSeparator.png"
    }


    Label {
        text: "SailWorm"
        anchors {
            verticalCenter: parent.verticalCenter
            left: separator1.right
            leftMargin: 20
        }
    }


    Item {
        id: close
        height: parent.height
        anchors.right: parent.right

        width: isPortrait  ? 80 : 112
        Image {
            id: closeButton
            z: 11
            source: "file://etc/hildon/theme/images/wmCloseIcon.png"
            anchors.centerIn: parent
            MouseArea {
                id: closeArea
                anchors.fill: parent
                onClicked: {
                    mainView.close()
                }

            }
        }

        Image {
            id: backButton
            z: 11
            visible: false
            source: "file://etc/hildon/theme/images/wmBackIcon.png"
            anchors.centerIn: parent
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    mainPage.destroyTopPage();
                    topBar.backButtonPressed()
                }

            }
        }

        Image {
            id: separator2
            anchors{
                top: parent.top; bottom: parent.bottom; left: parent.left
            }
            source: "file://etc/hildon/theme/images/wmSeparator.png"
        }
        /*Image {
            z: 10
            id: closeButtonPressed
            source: "file://etc/hildon/theme/images/wmRightButtonPressed.png"
            visible: false
            anchors.centerIn: parent
            width: isPortrait  ? 80 : 112
        } */
    }


    function enableBackButton(enable) {
        if(enable) {
            closeButton.visible = false
            backButton.visible = true
        } else {
            backButton.visible = false
            closeButton.visible = true
        }

    }
    function hide() {
    //yBehavior.enabled = false
        y = -height
        isBarVisible = false
    }
    function show() {
     //Behavior.enabled = true
        y = 0
        isBarVisible = true
    }
    property bool isBarVisible: true
    signal backButtonPressed()
}
