import QtQuick 1.1
import "sailworm"
import "mainHelper.js" as MainHelper

Item {
    id: mainPage
    width: parent.width
    height: parent.height
    property string initState: "PAGERIGHT"

    function createPage(fileName, initState, arguments) {
        return MainHelper.createPage(fileName, initState, arguments)
    }

    function destroyTopPage() {
        MainHelper.destroyTopPage()
    }

    Component.onCompleted: {
        MainHelper.initPage("sailworm/FirstPage.qml")
        topBar.pressed.connect(showAbout)
    }

    function showAbout() {
        mainPage.createPage("sailworm/About.qml", "PAGEBOTTOM", {})
    }
}

